package com.banesco.commons.config;


import com.banesco.common.domain.interfaces.BaseStatusCodesEnum;
import lombok.Getter;

/**
 * Clase para definir Status de Respuesta.
 */
@Getter
public enum StatusCodes implements BaseStatusCodesEnum {

    SUCCESS_OPERATION("OK", "Operación exitosa"),
    INVALID_HEADER("401", "INVALID HEADERS: NO AUTORIZADO"),
    FIELD_REQUIRED("VDE01", "ERROR CAMPO REQUERIDO: %s"),
    INVALID_FORMAT("VDE02", "ERROR EN FORMATO DEL CAMPO: %s"),
    INTERNAL_ERROR("500", "ERROR INTERNO"),
    FAILED_DEPENDENCY("424", "FALLA DE DEPENDENCIA");

    private String statusCode;
    private String statusDesc;

    StatusCodes(String statusCode, String statusDesc) {
        this.statusCode = statusCode;
        this.statusDesc = statusDesc;
    }

}
